Skip to content

computeEarlyPaymentDiscounts

READ

Early-payment (cash) discount per invoice, for seeding a payment's applications.

POST /api/v1/invoicing/computeEarlyPaymentDiscounts
curl -X POST '<your-host>/api/v1/invoicing/computeEarlyPaymentDiscounts' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "asOfDate": "string",
    "currencyDecimals": 0,
    "invoices": []
  }'
Response
{
  "…": 0
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "asOfDate": {
      "type": "string"
    },
    "currencyDecimals": {
      "type": "number"
    },
    "invoices": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "balance": {
            "type": "number"
          },
          "dateIssued": {
            "type": [
              "string",
              "null"
            ]
          },
          "paymentTermId": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "balance",
          "dateIssued",
          "paymentTermId"
        ]
      }
    }
  },
  "required": [
    "asOfDate",
    "currencyDecimals",
    "invoices"
  ]
}